Public Member Functions | Public Attributes | List of all members
PowerPoint7GraphInternal::Picture Struct Reference

Internal: a picture of a PowerPoint7Graph. More...

## Public Member Functions
| Picture ()
| constructor More...
bool | isEmpty () const
| returns true if the picture is empty More...

## Public Attributes
MWAWEmbeddedObject | m_object
| the picture data More...
MWAWBox2i | m_box
| the picture box More...
std::string | m_name
| the picture name More...

## Detailed Description

Internal: a picture of a PowerPoint7Graph.

## Constructor & Destructor Documentation

## ◆ Picture()

PowerPoint7GraphInternal::Picture::Picture | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ isEmpty()

bool PowerPoint7GraphInternal::Picture::isEmpty | ( |  | ) | const
| inline

returns true if the picture is empty

Referenced by PowerPoint7Graph::readPictureList().

## Member Data Documentation

## ◆ m_box

MWAWBox2i PowerPoint7GraphInternal::Picture::m_box

the picture box

Referenced by PowerPoint7Graph::readBitmapContainer(), PowerPoint7Graph::readMetaFileContainer(), and PowerPoint7Graph::readStyle().

## ◆ m_name

std::string PowerPoint7GraphInternal::Picture::m_name

the picture name

Referenced by PowerPoint7Graph::readBitmapContainer().

## ◆ m_object

MWAWEmbeddedObject PowerPoint7GraphInternal::Picture::m_object

the picture data

Referenced by PowerPoint7Graph::readBitmapContainer(), PowerPoint7Graph::readMetaFileContainer(), and PowerPoint7Graph::readStyle().

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx